Skip to main content
GET
Get a list of Message Channels

Authorizations

X-API-KEY
string
header
required

Query Parameters

clientId
string

Filter by client id. Alias for membershipEntityId.

membershipEntityId
string

Filter by the entity (company or client) the channel is scoped to.

companyId
string

Filter to channels scoped to this company. Combine with clientId to fetch the individual channel for a specific client/company pair.

memberId
string

Filter to channels containing this member id, and use it as the viewer for includeUnread enrichment.

membershipType
enum<string>

Filter by channel membership type.

Available options:
company,
individual,
group
includeUnread
boolean
default:false

Enrich each channel with unreadCount and lastRead for the viewer.

limit
integer

Maximum number of records to return. Capped at 100.

nextToken
string

Pagination cursor returned by a previous request.

Response

OK

data
any[] | null
nextToken
string

base64 encoded JSON representing a NextToken